Skip to main content
`Ctrl`+`K`
scipy.datasets.

# download_all

scipy.datasets.download_all(path=None)

  Utility method to download all the dataset files for `scipy.datasets` module.

  Parameters:
    path str, optional

      Directory path to download all the dataset files. If None, default to the system cache_dir detected by pooch.

  Notes

  Array API Standard Support

  `download_all` is not in-scope for support of Python Array API Standard compatible backends other than NumPy.

  See Support for the array API standard for more information.

  Examples

  Download the datasets to the default cache location:

      >>> from scipy import datasets
      >>> datasets.download_all()

  Download the datasets to the current directory:

      >>> datasets.download_all(".")